@use '../../../../styles'

header
    background-color: styles.$primary-main
    color: styles.$white
    display: flex
    flex-direction: column
    align-items: flex-start
    padding: 32px 16px 72px
    font-family: 'Roboto'
    font-style: normal
    box-sizing: border-box
    --image-height: 256px
    --max-container-width: 100%
    --container-flex-direction: column
    --section-margin: 0
    @media (min-width: 736px)
        align-items: center
        --image-height: 360px
        --section-margin: 0 0 0 16px
        --container-flex-direction: row
    @media (min-width: 1280px)
        padding: 72px 0 0 0
        --image-height: 574px
        --max-container-width: 1216px
        max-height: 600px
    @media (min-width: 1440px)
        --section-margin: 0 0 0 32px
    div
        display: flex
        flex-direction: var(--container-flex-direction)
        justify-content: flex-start
        max-width: var(--max-container-width)
        width: var(--max-container-width)
        img
            flex-grow: 0
            place-self: center
            height: var(--image-height)
            margin-bottom: 32px
            width: auto
            filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25))
            border-radius: 8px
        section
            display: flex
            flex-direction: column
            margin: var(--section-margin)
            h2
                color: styles.$white
                margin: 0
            dl
                margin: 0 0 32px 0
                text-align: left
                @media (min-width: 736px)
                    flex-wrap: wrap
                    display: flex
                    margin: 0 0 16px 0
                dd
                    margin: 0
                    text-align: left
                    font-weight: 400
                    font-size: 18px
                    line-height: 24px
                    @media (min-width: 736px)
                        &::after
                            content: "•"
                            margin-inline: 7px
                        &:last-of-type::after
                            content: ""                        
                        
            figure
                display: flex
                padding: 0
                align-items: center
                margin-block-start: 0
                margin-block-end: 0
                margin-inline-start: 0
                margin-inline-end: 0
                --color: #14FF14
                &.medium
                    --color: #FFFF14
                &.poor
                    --color: #FF1414
                div
                    display: block
                    position: relative
                    width: 60px !important
                    height: 60px !important
                    mat-progress-spinner
                        width: 60px !important
                        height: 60px !important
                    .mat-mdc-progress-spinner
                        --mdc-circular-progress-active-indicator-color: var(--color)

                span
                    color: var(--color)
                    position: absolute
                    top: calc(50% - 17px)
                    font-family: 'Roboto'
                    font-style: normal
                    font-weight: 700
                    font-size: 16px
                    line-height: 38px
                    text-align: center
                    width: 100%
                figcaption
                    margin-inline: 16px
                    width: 120px
                    font-weight: 400
                    font-size: 16px
                    line-height: 20px
            h5
                margin-block-start: 32px
            p
                font-weight: 400
                font-size: 16px
                line-height: 24px
            section
                margin: 8px 0 0 0
                display: flex
                flex-direction: row
                flex-wrap: wrap
                align-content: space-between
                justify-content: space-between
                align-items: baseline
                article
                    width: 50%
                    @media (min-width: 896px)
                        width: 30%
                    h6
                        margin: 24px 0 0 0
                    p
                        font-family: 'Roboto'
                        font-style: normal
                        font-weight: 400
                        font-size: 14px
                        line-height: 20px
